%define version	1.100.2
%define release 3mdk

%define major 	0
%define libname %mklibname %{name}

Summary: 	Chemistry software file format converter
Name: 		openbabel
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Sciences/Chemistry
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
URL: 		http://openbabel.sourceforge.net/
Source: 	%{name}-%{version}.tar.bz2

BuildRequires:	doxygen
Requires:	%{libname}%{major} = %{version}

%description
Open Babel is a project designed to pick up where Babel left off, 
as a cross-platform program and library designed to interconvert 
between many file formats used in molecular modeling and computational
chemistry.

%package	-n %{libname}%{major}
Summary:        Shared libraries of %{name}
Group:          System/Libraries
Provides:	%{libname} = %{version}-%{release}

%description	-n %{libname}%{major}
Open Babel is a project designed to pick up where Babel left off, 
as a cross-platform program and library designed to interconvert 
between many file formats used in molecular modeling and computational
chemistry.

This package contains shared libraries of %{name}.

%package	-n %{libname}%{major}-devel
Summary:        Development files of %{name}
Group:          Development/C++
Requires:	%{libname}%{major} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{libname}-devel = %{version}-%{release}

%description	-n %{libname}%{major}-devel
Open Babel is a project designed to pick up where Babel left off, 
as a cross-platform program and library designed to interconvert 
between many file formats used in molecular modeling and computational
chemistry.

This package includes the header files and other development
related files necessary for developing or compiling programs
using the %{name} library.

%package	-n %{libname}%{major}-static-devel
Summary:        Static library of %{name}
Group:          System/Libraries
Requires:	%{libname}%{major}-devel = %{version}

%description	-n %{libname}%{major}-static-devel
Open Babel is a project designed to pick up where Babel left off, 
as a cross-platform program and library designed to interconvert 
between many file formats used in molecular modeling and computational
chemistry.

This package contains static library of %{name}.

%prep
%setup -q

%build
%configure2_5x --enable-doxygen --enable-shared
%make

%install
rm -rf %{buildroot}
%makeinstall_std
#install -d -m 0755 %{buildroot}%{_includedir}/openbabel/math
#install -m 0644 src/math/*.h %{buildroot}%{_includedir}/openbabel/math/ 

%post -n %{libname}%{major} -p /sbin/ldconfig
%postun -n %{libname}%{major} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README THANKS
%doc doc/*.html doc/diox* doc/README*
%{_bindir}/*
%{_mandir}/man?/*
%{_datadir}/%{name}

%files -n %{libname}%{major}
%defattr(-, root, root)
%{_libdir}/lib*.so.*

%files -n %{libname}%{major}-devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/lib*.so
%{_libdir}/lib*.la

%files -n %{libname}%{major}-static-devel
%defattr(-, root, root)
%{_libdir}/lib*.a

%changelog
* Thu Jul 07 2005 Lenny Cartier <lenny@mandriva.com> 1.100.2-3mdk
- rebuild

* Fri Jun 04 2004 Abel Cheung <deaddog@deaddog.org> 1.100.2-2mdk
- Drop patch0 (not needed)
- Rebuild with new gcc

* Mon May 3 2004 Austin Acton <austin@mandrake.org> 1.100.2-1mdk
- 1.100.2

* Fri Sep 26 2003 Abel Cheung <deaddog@deaddog.org> 1.100.1-6mdk
- Split static lib as subpackage
- Provides mklibname'd virtual package

* Tue Sep  2 2003 Abel Cheung <deaddog@deaddog.org> 1.100.1-5mdk
- configure2_5x, makeinstall_std, libtoolize
- Patch0: Fix libtool 1.5 to search for staging libraries first
- Enable building doxygen stuff

* Mon Jul 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.100.1-4mdk
- rebuild

* Mon Jul 7 2003 Austin Acton <aacton@yorku.ca> 1.100.1-3mdk
- add math includes
- fix libdir definintion

* Thu Jul 3 2003 Austin Acton <aacton@yorku.ca> 1.100.1-2mdk
- add shared library

* Wed Jun 25 2003 Austin Acton <aacton@yorku.ca> 1.100.1-1mdk
- 1.100.1
- add pkgconfig file
- automate install
- cleanup spec

* Mon Dec 16 2002  Lenny Cartier <lenny@mandrakesoft.com> 1.100.0-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- bump version

* Thu Nov 07 2002  Lenny Cartier <lenny@mandrakesoft.com> 1.99.1-0.20021008.3mdk
- fix requires

* Thu Nov 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.99.1-0.20021008.2mdk
- remove libopenbabel package (.a in libopenbabel-devel)

* Tue Oct 8 2002 Austin Acton <aacton@yorku.ca> 1.99.1-0.20021008.1mdk
- add library and header files
- update from CVS

* Wed Sep 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.99-0.20020922.1mdk
- fix files section
- remove CVS files
- from Austin Acton <aacton@yorku.ca> :
	- initial package creation for Mandrake 9.0
